Bug 241522 - Frightening user feedback if yum search is used while yum update is running
Frightening user feedback if yum search is used while yum update is running
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Antill
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-05-27 05:27 EDT by Nicolas Mailhot
Modified: 2014-01-21 17:58 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-20 11:22:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2007-05-27 05:27:28 EDT
Description of problem:

$ yum search foo
Loading "skip-broken" plugin
Loading "installonlyn" plugin

(process:9882): GLib-CRITICAL **: g_timer_stop: assertion `timer != NULL' failed

(process:9882): GLib-CRITICAL **: g_timer_destroy: assertion `timer != NULL' failed
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 94, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 264, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd,
self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 336, in doCommand
    return base.search(extcmds)
  File "/usr/share/yum-cli/cli.py", line 813, in search
    for (po, matched_value) in matching:
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 1197, in
searchGenerator
    for sack in self.pkgSack.sacks.values():
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 501, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 382, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.5/site-packages/yum/repos.py", line 206, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 166, in populate
    dobj = repo_cache_function(xml, csum)
  File "/usr/lib64/python2.5/site-packages/sqlitecachec.py", line 42, in getPrimary
    self.repoid))
TypeError: Can not create db_info table: database is locked

$ rpm -q yum
yum-3.2.0-1.fc7.noarch

Not a very nice way to tell the user yum is busy doing something else
Comment 1 Seth Vidal 2007-05-27 08:52:06 EDT
agreed. I'll take a look at fixing the traceback.
Comment 2 Seth Vidal 2007-06-20 11:22:37 EDT
okay, I think this is fixed in cvs - will be available in 3.2.1. When it comes
out reopen if this is still an issue
Comment 3 Nicolas Mailhot 2007-06-20 11:44:43 EDT
Ok, thanks a lot!

Note You need to log in before you can comment on or make changes to this bug.